Subject: Re: linux-next: manual merge of the tip tree with the openrisc tree

From: Peter Zijlstra <[email-masked]>
Date: Mon, 20 Feb 2017 12:18:05 +0100

On Sun, Feb 19, 2017 at 04:26:54PM +0900, Stafford Horne wrote:
> On Fri, Feb 17, 2017 at 12:43:21PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the tip tree got a conflict in:
> > 
> >   arch/openrisc/include/asm/Kbuild
> > 
> > between commit:
> > 
> >   157e82f58007 ("openrisc: add cmpxchg and xchg implementations")

*groan* branch delay slots...

It it typically recommended to implement 1 and 2 byte versions as well.
If the architecture doesn't support these natively, you can easily
implement them with the 4 byte ll/sc and simply retain the other bits.